# Blizz Table Field

## Description

Provides an easy to use table field just to display static tables.

This Module makes use from the JS-library "handsontable" to have an editable tables in the backend.
It provides formatting options left/right-align, table headers and more.
Inside the table you can not use HTML but you can use MarkDown what will be rendered as HTML.

## Install

There are two JS-libraries required by this module: Handsontable and PapaParse.
Both will be required by composer with following configuration in your composer.json.

```
  "repositories": [
    ... ,
    {
      "type": "composer",
      "url": "https://asset-packagist.org"
    }
  ],
  "require": {
    ...
    "oomphinc/composer-installers-extender": "^1.1",
    "drupal/blizz_table_field": "~1.0"
  }
  "extra": {
    "installer-types": [
      "bower-asset"
    ],
    "installer-paths": {
      "docroot/libraries/{$name}": [
        "type:drupal-library",
        "type:bower-asset"
      ],
      ...
    }
```

After install, check the Drupal-status-page if you can find the libraries in the libraries folder in your web folder.

## Set up module
1. Create a field to whatever content type, taxonomy term, media, paragraph, etc.
2. When creating field, set type as Table.
3. You can set that if the table value should be saved to the database as JSON or CSV format. Choose whatever format.
4. Optionally you can use MarkDown in the table cell texts, at page `/admin/config/content/blizz_table_field/settings`
  you can set help text for using MarkDown syntax.
